Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdConfig

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig

Direct Known Subclasses:
  `cmdConfig.DateTime`, `cmdConfig.HeaderFooter`

    public class cmdConfig
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdConfig.DateTime` | Maintenance date and time of fiscal devices
  `static class` | `cmdConfig.HeaderFooter` | Provides methods for setting header and footer *
  `static class` | `cmdConfig.MainInterfaceType` | MainInterfaceType - PC interface type.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdConfig()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `GetAPN​(int index)` |
  `java.lang.String` | `GetAPN_Pass​(int index)` |
  `java.lang.String` | `GetAPN_User​(int index)` |
  `int` | `GetAutoPowerOff()` |
  `int` | `GetBarcodeHeight()` |
  `boolean` | `GetBarcodePrint()` |
  `int` | `GetBkLightAutoOff()` |
  `boolean` | `GetBoldPayments()` |
  `boolean` | `GetCondensedPrint()` |
  `java.lang.Boolean` | `GetDHCPenable()` |
  `boolean` | `GetDoveritelPrint()` |
  `boolean` | `GetDuplicateRec()` |
  `boolean` | `GetEcrConnectedCashReport()` |
  `boolean` | `GetEcrConnectedGroupsReport()` |
  `boolean` | `GetEcrExtendedReceipt()` |
  `boolean` | `GetEcrPluDailyClearing()` |
  `boolean` | `GetEcrSafeOpening()` |
  `boolean` | `GetEmptyLineAfterTotal()` |
  `int` | `GetForeignPrint()` |
  `java.lang.String` | `GetIMEI()` |
  `java.util.ArrayList<java.lang.String>` | `GetInvoiceInterval()` |
  `java.lang.String` | `GetLANGateway()` |
  `java.lang.String` | `GetLANIP()` |
  `java.lang.String` | `GetLanMAC()` |
  `java.lang.String` | `GetLANNetMask()` |
  `java.lang.String` | `GetLANport()` |
  `java.lang.String` | `GetLANPriDNS()` |
  `java.lang.String` | `GetLANSecDNS()` |
  `boolean` | `GetLogoPrint()` |
  `cmdConfig.MainInterfaceType` | `GetMainInterfaceType()` | MainInterfaceType - PC interface type.
  `int` | `GetModemModel()` |
  `boolean` | `GetNearPaperEndEnabled()` |
  `int` | `GetPrintColumns()` |
  `java.lang.String[]` | `GetPrintColumnsSupported()` |
  `int` | `GetPrnQuality()` |
  `java.lang.String` | `GetSimICCID()` |
  `java.lang.String` | `GetSimIMSI()` |
  `java.lang.String` | `GetSimPin()` |
  `java.lang.String` | `GetSimTelNumber()` |
  `boolean` | `GetVatPrint()` |
  `void` | `Logo_DataLoading​(java.lang.String data)` | Customer graphic logo loading.
  `void` | `Logo_Restart()` | Customer graphic logo loading.
  `void` | `Logo_StartLoading()` | Customer graphic logo loading.
  `void` | `Logo_StopLoading()` | Customer graphic logo loading.
  `void` | `Logo_Updtae()` | Customer graphic logo loading.
  `void` | `SetAPN​(int index, java.lang.String value)` |
  `void` | `SetAPN_Passr​(int index, java.lang.String value)` |
  `void` | `SetAPN_User​(int index, java.lang.String value)` |
  `void` | `SetAutoPaperCutting​(boolean value)` | param value Permission/rejection of the automatic cutting of paper after each receipt.
  `void` | `SetAutoPowerOff​(int value)` |
  `void` | `SetAutoPowerOff​(java.lang.String value)` | param value Minutes to automatically turn off FPR if it is idle.
  `void` | `SetBarcodeHeight​(int value)` | Set Barcode height from '1' (7mm) to '10' (70mm);
  `void` | `SetBarCodeHeight​(int value)` | param value BarCodeHeight - Barcode height from '1' (7mm) to '10' (70mm); throws IOException, FiscalException
  `void` | `SetBarcodeName​(boolean value)` | param value Enable/Disable printing of the barcode data; throws IOException, FiscalException
  `void` | `SetBarcodePrint​(boolean value)` |
  `void` | `SetBkLightAutoOff​(int value)` |
  `void` | `SetBoldPayments​(boolean value)` | param value If [true] Print the payments with bolded in fiscal receipt throws IOException, FiscalException
  `void` | `SetBthDiscoverability​(boolean value)` | param value -If [true] turn on bluetooth device discoverability; throws IOException, FiscalException
  `void` | `SetBthPairing​(int value)` | param value 0-unsecure, 1-reset and save, 2-reset; (only for bluetooth enabled devices) throws IOException, FiscalException
  `void` | `SetBthPinCode​(java.lang.String pinCode)` | param pinCode pin code for bluetooth pairing( default: 0000 ); (only for bluetooth enabled devices) throws IOException, FiscalException
  `void` | `SetCondensedPrint​(boolean value)` |
  `void` | `SetCurrNameForeign​(java.lang.String newCurrForeign)` | param newCurrForeign Foreign currency name( up to 3 chars ); throws IOException, FiscalException
  `void` | `SetCurrNameLocal​(java.lang.String newCurrLocal)` | param newCurrLocal Local currency name( up to 3 chars ) throws IOException, FiscalException
  `void` | `SetDeptName​(int index, java.lang.String name)` | param index - Number of department param name - Name of department.
  `void` | `SetDeptPrice​(int index, java.lang.String name)` | param index - Number of department param name - Programmed price of department( from 0 to 999999999 ).
  `void` | `SetDeptVAT​(int index, java.lang.String name)` | param index - Number of department param name - VAT group of department( from 1 to 8 ).
  `void` | `SetDHCPenable​(java.lang.Boolean value)` | param value Enable use of DHCP throws IOException, FiscalException
  `void` | `SetDoveritelPrint​(boolean value)` |
  `void` | `SetDsblKeyCancelReceipt​(boolean value)` | param value If [true] Disable manually cancellation of the receipt; throws IOException, FiscalException
  `void` | `SetDsblKeyCloseReceipt​(boolean value)` | param value If [true] Disable manually closing of the receipt throws IOException, FiscalException
  `void` | `SetDsblKeyDateTime​(boolean value)` | param value If [true] Disable changing the date and time; throws IOException, FiscalException
  `void` | `SetDsblKeyDiagnostics​(boolean value)` | param value If [true] Disable diagnostic info throws IOException, FiscalException
  `void` | `SetDsblKeyFmReports​(boolean value)` | param value If [true] Disable fiscal memory reports throws IOException, FiscalException
  `void` | `SetDsblKeyJournal​(boolean value)` | param value If [true] Disable electronic journal menu throws IOException, FiscalException
  `void` | `SetDsblKeyXreport​(boolean value)` | param value If [true] Disable X report generating from the keyboard throws IOException, FiscalException
  `void` | `SetDsblKeyZreport​(boolean value)` | param value If [true] Disable Z report generating from the keyboard throws IOException, FiscalException
  `void` | `SetDuplicateRec​(boolean value)` |
  `void` | `SetEcrConnectedCashReport​(boolean value)` | param value If [true] When making Z-report, automatically make "FPr report" throws IOException, FiscalException
  `void` | `SetEcrConnectedDeptReport​(boolean value)` | param value If [true] When making Z-report, automatically make "Report by Departments" throws IOException, FiscalException
  `void` | `SetEcrConnectedGroupsReport​(boolean value)` | param value If [true] When making Z-report, automatically make "Group report" throws IOException, FiscalException
  `void` | `SetEcrConnectedOperReport​(boolean value)` | param value If [true] When making Z-report, automatically make "Operator report" throws IOException, FiscalException
  `void` | `SetEcrExtendedReceipt​(boolean value)` |
  `void` | `SetEcrMidnightWarning​(boolean value)` |
  `void` | `SetEcrPluDailyClearing​(boolean value)` | param value If [true] When making Z-report, automatically clear PLU turnover throws IOException, FiscalException
  `void` | `SetEcrSafeOpening​(boolean value)` |
  `void` | `SetEmptyLineAfterTotal​(boolean value)` | param value If [true] Print empty line after TOTAL line in fiscal receipts throws IOException, FiscalException
  `void` | `SetExchangeRate​(java.lang.String value)` | param value Exchange rate( from 0 to 999999999, decimal point is before last five digits ); throws IOException, FiscalException
  `int` | `SetExInvoiceInterval​(java.lang.String endNumber)` | If the current invoice counter didn't reached the end of the interval.
  `void` | `SetForeignPrint​(int value)` |
  `void` | `SetFpComBaudRate​(java.lang.String value)` | param value Baud rate of COM port for communication with PC ( from 0 to 9 ) throws IOException, FiscalException
  `long` | `SetInvoiceInterval​(java.lang.String startNumber, java.lang.String endNumber)` | Use If the current invoice counter have reached the end of the interval.
  `void` | `SetLANGateway​(java.lang.String value)` |
  `void` | `SetLANIP​(java.lang.String value)` | param value - IP address when DHCP is disabled( up to 15 chars ) throws IOException, FiscalException
  `void` | `SetLanMAC​(java.lang.String value)` |
  `void` | `SetLANNetMask​(java.lang.String value)` | param value Net mask when DHCP is disabled( up to 15 chars ) throws IOException, FiscalException
  `void` | `SetLANport​(java.lang.String value)` |
  `void` | `SetLANPriDNS​(java.lang.String value)` | param value Primary DNS when DHCP is disabled( up to 15 chars ) throws IOException, FiscalException
  `void` | `SetLANSecDNS​(java.lang.String value)` | param value Second DNS when DHCP is disabled( up to 15 chars ) throws IOException, FiscalException
  `void` | `SetLogoPrint​(boolean value)` |
  `void` | `SetMainInterfaceType​(cmdConfig.MainInterfaceType value)` |
  `void` | `SetModemModel​(int value)` |
  `void` | `SetNearPaperEndEnabled​(boolean value)` |
  `void` | `SetOperName​(int index, java.lang.String name)` | param index Number of operator param name Name of operator.
  `void` | `SetOperPasw​(int operIndex, java.lang.String oldPass, java.lang.String newPass)` | param operIndex - Operator number from 1...30 param oldPass - Password of operator.
  `void` | `SetPaperCuttingType​(boolean value)` | param value Partial=0/Full=1 cutting of paper (FP-705 only); throws IOException, FiscalException
  `void` | `SetPaymentForbidden​(int index, boolean value)` | param index Number of payment param value If [true] Forbid the payment throws IOException, FiscalException
  `void` | `SetPayName​(int index, java.lang.String name)` | param index Number of payment param name Name of payment.
  `void` | `SetPrintColumns​(int value)` |
  `void` | `SetPrnQuality​(java.lang.String value)` | Contrast of Printing ( from 0 to 20 );
  `void` | `SetServiceDate​(java.lang.String serviceDate)` | param serviceDate Service date( Format: DD-MM-YY HH:MM:SS ); throws IOException, FiscalException
  `void` | `SetServMessage​(java.lang.String[] messsageLines)` | param messsageLines Message that will be printed when "ServDate" is reached, up to 42 symbols.( Require Service jumper )
  `void` | `SetSimPin​(java.lang.String value)` |
  `void` | `SetUnitname​(int UnitIndex, java.lang.String UnitName)` |
  `void` | `SetVatPrintEnable​(boolean value)` |
  `boolean` | `Stamp_DataLoading​(java.lang.String data)` | Stamp image loading.
  `void` | `Stamp_Operation​(java.lang.String typeOper, java.lang.String stampName)` | Stamp image loading.
  `void` | `Stamp_Restart()` | Stamp image loading.
  `void` | `Stamp_StartLoading()` | Stamp image loading.
  `void` | `Stamp_StopLoading()` | Stamp image loading.
  `void` | `Stamp_Updtae()` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdConfig

    public cmdConfig()

- ## Method Details

  - ### SetDsblKeyZreport

    public void SetDsblKeyZreport​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Disable Z report generating from the keyboard throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDsblKeyXreport

    public void SetDsblKeyXreport​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Disable X report generating from the keyboard throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDsblKeyDiagnostics

    public void SetDsblKeyDiagnostics​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Disable diagnostic info throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDsblKeyFmReports

    public void SetDsblKeyFmReports​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Disable fiscal memory reports throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDsblKeyJournal

    public void SetDsblKeyJournal​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Disable electronic journal menu throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDsblKeyDateTime

    public void SetDsblKeyDateTime​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Disable changing the date and time; throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDsblKeyCloseReceipt

    public void SetDsblKeyCloseReceipt​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Disable manually closing of the receipt throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDsblKeyCancelReceipt

    public void SetDsblKeyCancelReceipt​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Disable manually cancellation of the receipt; throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetFpComBaudRate

    public void SetFpComBaudRate​(java.lang.String value) throws java.io.IOException, FiscalException
    param value Baud rate of COM port for communication with PC ( from 0 to 9 ) throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBthDiscoverability

    public void SetBthDiscoverability​(boolean value) throws java.io.IOException, FiscalException
    param value -If [true] turn on bluetooth device discoverability; throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBthPairing

    public void SetBthPairing​(int value) throws java.io.IOException, FiscalException
    param value 0-unsecure, 1-reset and save, 2-reset; (only for bluetooth enabled devices) throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBthPinCode

    public void SetBthPinCode​(java.lang.String pinCode) throws java.io.IOException, FiscalException
    param pinCode pin code for bluetooth pairing( default: 0000 ); (only for bluetooth enabled devices) throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBarCodeHeight

    public void SetBarCodeHeight​(int value) throws java.io.IOException, FiscalException
    param value BarCodeHeight - Barcode height from '1' (7mm) to '10' (70mm); throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBarcodeName

    public void SetBarcodeName​(boolean value) throws java.io.IOException, FiscalException
    param value Enable/Disable printing of the barcode data; throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetAutoPaperCutting

    public void SetAutoPaperCutting​(boolean value) throws java.io.IOException, FiscalException
    param value Permission/rejection of the automatic cutting of paper after each receipt. (FP-705 only); throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetPaperCuttingType

    public void SetPaperCuttingType​(boolean value) throws java.io.IOException, FiscalException
    param value Partial=0/Full=1 cutting of paper (FP-705 only); throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEcrConnectedOperReport

    public void SetEcrConnectedOperReport​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] When making Z-report, automatically make "Operator report" throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEcrConnectedDeptReport

    public void SetEcrConnectedDeptReport​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] When making Z-report, automatically make "Report by Departments" throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetAutoPowerOff

    public void SetAutoPowerOff​(java.lang.String value) throws java.io.IOException, FiscalException
    param value Minutes to automatically turn off FPR if it is idle. ( 0 - disable; from 1 minute to 15 minutes ); throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetCurrNameLocal

    public void SetCurrNameLocal​(java.lang.String newCurrLocal) throws java.io.IOException, FiscalException
    param newCurrLocal Local currency name( up to 3 chars ) throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetCurrNameForeign

    public void SetCurrNameForeign​(java.lang.String newCurrForeign) throws java.io.IOException, FiscalException
    param newCurrForeign Foreign currency name( up to 3 chars ); throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetExchangeRate

    public void SetExchangeRate​(java.lang.String value) throws java.io.IOException, FiscalException
    param value Exchange rate( from 0 to 999999999, decimal point is before last five digits ); throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetUnitname

    public void SetUnitname​(int UnitIndex, java.lang.String UnitName) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetOperName

    public void SetOperName​(int index, java.lang.String name) throws java.io.IOException, FiscalException
    param index Number of operator param name Name of operator. Text up to 20 symbols. throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetOperPasw

    public void SetOperPasw​(int operIndex, java.lang.String oldPass, java.lang.String newPass) throws java.io.IOException, FiscalException
    param operIndex - Operator number from 1...30 param oldPass - Password of operator. Text up to 8 symbols param newPass - Operator password, ascii string of digits. Lenght from 1...8 throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDeptName

    public void SetDeptName​(int index, java.lang.String name) throws java.io.IOException, FiscalException
    param index - Number of department param name - Name of department. Text up to 32 symbols throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDeptPrice

    public void SetDeptPrice​(int index, java.lang.String name) throws java.io.IOException, FiscalException
    param index - Number of department param name - Programmed price of department( from 0 to 999999999 ). throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDeptVAT

    public void SetDeptVAT​(int index, java.lang.String name) throws java.io.IOException, FiscalException
    param index - Number of department param name - VAT group of department( from 1 to 8 ). throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetPaymentForbidden

    public void SetPaymentForbidden​(int index, boolean value) throws java.io.IOException, FiscalException
    param index Number of payment param value If [true] Forbid the payment throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetPayName

    public void SetPayName​(int index, java.lang.String name) throws java.io.IOException, FiscalException
    param index Number of payment param name Name of payment. Text up to 10 symbols. throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetServMessage

    public void SetServMessage​(java.lang.String[] messsageLines) throws java.io.IOException, FiscalException
    param messsageLines Message that will be printed when "ServDate" is reached, up to 42 symbols.( Require Service jumper )
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetServiceDate

    public void SetServiceDate​(java.lang.String serviceDate) throws java.io.IOException, FiscalException
    param serviceDate Service date( Format: DD-MM-YY HH:MM:SS ); throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEcrMidnightWarning

    public void SetEcrMidnightWarning​(boolean value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Logo_StartLoading

    public void Logo_StartLoading() throws java.io.IOException, FiscalException
    Customer graphic logo loading. Praparation for data loading
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Logo_StopLoading

    public void Logo_StopLoading() throws java.io.IOException, FiscalException
    Customer graphic logo loading. End of data;
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Logo_DataLoading

    public void Logo_DataLoading​(java.lang.String data) throws java.io.IOException, FiscalException
    Customer graphic logo loading.
    Parameters:
      `data` - - base64 coded data of the grahpic logo;
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Logo_Updtae

    public void Logo_Updtae() throws java.io.IOException, FiscalException
    Customer graphic logo loading.
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Logo_Restart

    public void Logo_Restart() throws java.io.IOException, FiscalException
    Customer graphic logo loading. Device restarting
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Stamp_StartLoading

    public void Stamp_StartLoading() throws java.io.IOException, FiscalException
    Stamp image loading. Praparation for data loading
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Stamp_StopLoading

    public void Stamp_StopLoading() throws java.io.IOException, FiscalException
    Stamp image loading. End of data
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Stamp_DataLoading

    public boolean Stamp_DataLoading​(java.lang.String data) throws java.io.IOException, FiscalException
    Stamp image loading.
    Parameters:
      `data` - - base64 coded data of the grahpic logo
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Stamp_Updtae

    public void Stamp_Updtae() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Stamp_Restart

    public void Stamp_Restart() throws java.io.IOException, FiscalException
    Stamp image loading.
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Stamp_Operation

    public void Stamp_Operation​(java.lang.String typeOper, java.lang.String stampName) throws java.io.IOException, FiscalException
    Stamp image loading.
    Parameters:
      `typeOper` -
      `stampName` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetPrnQuality

    public void SetPrnQuality​(java.lang.String value) throws java.io.IOException, FiscalException
    Contrast of Printing ( from 0 to 20 );
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetPrnQuality

    public int GetPrnQuality() throws java.io.IOException, FiscalException
    Returns:
      Contrast of Printing ( from 0 to 20 );
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBarcodePrint

    public void SetBarcodePrint​(boolean value) throws java.io.IOException, FiscalException
    Parameters:
      `value` - - Print PLU barcode in the receipt ( 1 - enable, 0 -disable );
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetBarcodePrint

    public boolean GetBarcodePrint() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetLogoPrint

    public void SetLogoPrint​(boolean value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetLogoPrint

    public boolean GetLogoPrint() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetForeignPrint

    public void SetForeignPrint​(int value) throws java.io.IOException, FiscalException
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetForeignPrint

    public int GetForeignPrint() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetPrintColumns

    public void SetPrintColumns​(int value) throws java.io.IOException, FiscalException
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetPrintColumns

    public int GetPrintColumns() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEcrExtendedReceipt

    public void SetEcrExtendedReceipt​(boolean value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetEcrExtendedReceipt

    public boolean GetEcrExtendedReceipt() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetCondensedPrint

    public boolean GetCondensedPrint() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetCondensedPrint

    public void SetCondensedPrint​(boolean value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetDuplicateRec

    public boolean GetDuplicateRec() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDuplicateRec

    public void SetDuplicateRec​(boolean value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetNearPaperEndEnabled

    public boolean GetNearPaperEndEnabled() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetPrintColumnsSupported

    public java.lang.String[] GetPrintColumnsSupported()

  - ### GetDoveritelPrint

    public boolean GetDoveritelPrint() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetVatPrint

    public boolean GetVatPrint() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetNearPaperEndEnabled

    public void SetNearPaperEndEnabled​(boolean value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetDoveritelPrint

    public void SetDoveritelPrint​(boolean value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetVatPrintEnable

    public void SetVatPrintEnable​(boolean value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetBarcodeHeight

    public int GetBarcodeHeight() throws java.io.IOException, FiscalException
    Returns:
      -Barcode height from '1' (7mm) to '10' (70mm);
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBarcodeHeight

    public void SetBarcodeHeight​(int value) throws java.io.IOException, FiscalException
    Set Barcode height from '1' (7mm) to '10' (70mm);
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetAutoPowerOff

    public int GetAutoPowerOff() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetAutoPowerOff

    public void SetAutoPowerOff​(int value) throws java.io.IOException, FiscalException
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetBkLightAutoOff

    public int GetBkLightAutoOff() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBkLightAutoOff

    public void SetBkLightAutoOff​(int value) throws java.io.IOException, FiscalException
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetEcrSafeOpening

    public boolean GetEcrSafeOpening() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEcrSafeOpening

    public void SetEcrSafeOpening​(boolean value) throws java.io.IOException, FiscalException
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetEcrConnectedGroupsReport

    public boolean GetEcrConnectedGroupsReport() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEcrConnectedGroupsReport

    public void SetEcrConnectedGroupsReport​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] When making Z-report, automatically make "Group report" throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetEcrPluDailyClearing

    public boolean GetEcrPluDailyClearing() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEcrPluDailyClearing

    public void SetEcrPluDailyClearing​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] When making Z-report, automatically clear PLU turnover throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetEcrConnectedCashReport

    public boolean GetEcrConnectedCashReport() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEcrConnectedCashReport

    public void SetEcrConnectedCashReport​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] When making Z-report, automatically make "FPr report" throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetInvoiceInterval

    public long SetInvoiceInterval​(java.lang.String startNumber, java.lang.String endNumber) throws java.io.IOException, FiscalException
    Use If the current invoice counter have reached the end of the interval.
    Parameters:
      `startNumber` - - The starting number of the interval. Max 10 digits (1...9999999999).
      `endNumber` - - The ending number of the interval. Max 10 digits (1...9999999999).
    Returns:
      The current invoice receipt number (1...9999999999)
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`

  - ### SetExInvoiceInterval

    public int SetExInvoiceInterval​(java.lang.String endNumber) throws java.io.IOException, FiscalException
    If the current invoice counter didn't reached the end of the interval.
    Parameters:
      `endNumber` - - The ending number of the interval. Max 10 digits (1...9999999999).
    Returns:
      The current invoice receipt number (1...9999999999)
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`

  - ### GetInvoiceInterval

    public java.util.ArrayList<java.lang.String> GetInvoiceInterval() throws java.io.IOException, FiscalException
    Returns:
      Start - The current starting value of the interval (1...9999999999) End - The current ending value of the interval (1...9999999999) Current - The current invoice receipt number (1...9999999999)
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetEmptyLineAfterTotal

    public boolean GetEmptyLineAfterTotal() throws java.io.IOException, FiscalException
    Returns:
      Print empty line after TOTAL line in fiscal receipts
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetEmptyLineAfterTotal

    public void SetEmptyLineAfterTotal​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Print empty line after TOTAL line in fiscal receipts throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetBoldPayments

    public boolean GetBoldPayments() throws java.io.IOException, FiscalException
    Returns:
      Print the payments with bolded in fiscal receipt
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetBoldPayments

    public void SetBoldPayments​(boolean value) throws java.io.IOException, FiscalException
    param value If [true] Print the payments with bolded in fiscal receipt throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetLANport

    public java.lang.String GetLANport() throws java.lang.Exception
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`
      `java.lang.Exception`

  - ### SetLANport

    public void SetLANport​(java.lang.String value) throws java.io.IOException, FiscalException
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetLanMAC

    public void SetLanMAC​(java.lang.String value) throws java.io.IOException, FiscalException
    Parameters:
      `value` -
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetLanMAC

    public java.lang.String GetLanMAC() throws java.lang.Exception
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`
      `java.lang.Exception`

  - ### SetDHCPenable

    public void SetDHCPenable​(java.lang.Boolean value) throws java.io.IOException, FiscalException
    param value Enable use of DHCP throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetDHCPenable

    public java.lang.Boolean GetDHCPenable() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`

  - ### SetLANIP

    public void SetLANIP​(java.lang.String value) throws java.io.IOException, FiscalException
    param value - IP address when DHCP is disabled( up to 15 chars ) throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetLANIP

    public java.lang.String GetLANIP() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`

  - ### SetLANNetMask

    public void SetLANNetMask​(java.lang.String value) throws java.io.IOException, FiscalException
    param value Net mask when DHCP is disabled( up to 15 chars ) throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetLANNetMask

    public java.lang.String GetLANNetMask() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetLANGateway

    public void SetLANGateway​(java.lang.String value) throws java.io.IOException, FiscalException
    Parameters:
      `value` - Default gateway when DHCP is disabled( up to 15 chars )
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetLANGateway

    public java.lang.String GetLANGateway() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetLANPriDNS

    public void SetLANPriDNS​(java.lang.String value) throws java.io.IOException, FiscalException
    param value Primary DNS when DHCP is disabled( up to 15 chars ) throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetLANPriDNS

    public java.lang.String GetLANPriDNS() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetLANSecDNS

    public void SetLANSecDNS​(java.lang.String value) throws java.io.IOException, FiscalException
    param value Second DNS when DHCP is disabled( up to 15 chars ) throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetLANSecDNS

    public java.lang.String GetLANSecDNS() throws java.io.IOException, FiscalException
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetMainInterfaceType

    public void SetMainInterfaceType​(cmdConfig.MainInterfaceType value) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetMainInterfaceType

    public cmdConfig.MainInterfaceType GetMainInterfaceType() throws java.io.IOException, FiscalException
    MainInterfaceType - PC interface type. 0-auto select, 1-RS232, 2-BLUETOOTH, 3- USB, 4-LAN;
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### SetModemModel

    public void SetModemModel​(int value) throws java.lang.Exception
    Parameters:
      `value` - ModemModel - Model of the modem ( 0 - Quectel M72, 1 - Quectel UC20, 2 - Quectel M66, 3- Quectel UG96 );
    Throws:
      `java.lang.Exception`

  - ### GetModemModel

    public int GetModemModel() throws java.lang.Exception
    Returns:
      ModemModel - Model of the modem ( 0 - Quectel M72, 1 - Quectel UC20, 2 - Quectel M66, 3- Quectel UG96 );
    Throws:
      `java.lang.Exception`

  - ### SetSimPin

    public void SetSimPin​(java.lang.String value) throws java.lang.Exception
    Parameters:
      `value` - PIN code of SIM card. Text up to 16 symbols;
    Throws:
      `java.lang.Exception`

  - ### GetSimPin

    public java.lang.String GetSimPin() throws java.lang.Exception
    Returns:
      ModemModel - PIN code of SIM card. Text up to 16 symbols;
    Throws:
      `java.lang.Exception`

  - ### SetAPN

    public void SetAPN​(int index, java.lang.String value) throws java.lang.Exception
    Parameters:
      `index` - Number of APN 1/2
      `value` - Access Point Name. Text up to 64 symbols.
    Throws:
      `java.lang.Exception`

  - ### GetAPN

    public java.lang.String GetAPN​(int index) throws java.lang.Exception
    Parameters:
      `index` - Number of APN 1/2
    Returns:
      Access Point Name. Text up to 64 symbols.
    Throws:
      `java.lang.Exception`

  - ### SetAPN_User

    public void SetAPN_User​(int index, java.lang.String value) throws java.lang.Exception
    Parameters:
      `index` - Number of APN 1/2
      `value` - APN Username. Text up to 32 symbols.
    Throws:
      `java.lang.Exception`

  - ### GetAPN_User

    public java.lang.String GetAPN_User​(int index) throws java.lang.Exception
    Parameters:
      `index` - Number of APN 1/2
    Returns:
      APN Username. Text up to 32 symbols.
    Throws:
      `java.lang.Exception`

  - ### SetAPN_Passr

    public void SetAPN_Passr​(int index, java.lang.String value) throws java.lang.Exception
    Parameters:
      `index` - Number of APN 1/2
      `value` - APN Password. Text up to 32 symbols.
    Throws:
      `java.lang.Exception`

  - ### GetAPN_Pass

    public java.lang.String GetAPN_Pass​(int index) throws java.lang.Exception
    Parameters:
      `index` - Number of APN 1/2
    Returns:
      APN Password. Text up to 32 symbols.
    Throws:
      `java.lang.Exception`

  - ### GetSimICCID

    public java.lang.String GetSimICCID() throws java.lang.Exception
    Returns:
      ICC number of the SIM card. Text up to 31 symbols ( readonly );
    Throws:
      `java.lang.Exception`

  - ### GetSimIMSI

    public java.lang.String GetSimIMSI() throws java.lang.Exception
    Returns:
      IMSI number of the SIM card. Text up to 16 symbols ( readonly );
    Throws:
      `java.lang.Exception`

  - ### GetSimTelNumber

    public java.lang.String GetSimTelNumber() throws java.lang.Exception
    Returns:
      MSISDN number of the SIM card. Text up to 16 symbols ( readonly );
    Throws:
      `java.lang.Exception`

  - ### GetIMEI

    public java.lang.String GetIMEI() throws java.lang.Exception
    Returns:
      IMEI of the modem( read only );
    Throws:
      `java.lang.Exception`